import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetFreeBuyDashboardService = createAsyncThunk(
  "SLAUGHTER_GET_FREE_BUY_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "dashboard_kill_request/?operator=KillHouse",
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
